<?php
/**
 * @copyright	Copyright (C) 2013 - 2014 Meftools, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
defined( '_JEXEC' ) or die( 'Restricted access' );

if(!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

require_once(dirname(__FILE__) . DS . "libs" .DS. "quranhelper.php");


jimport("joomla.plugin.plugin");

class plgContentmefquran extends JPlugin
{
        
          function onContentBeforeDisplay($context, &$article, &$params, $limitstart)
        {

        	$font = $this->params->def('font');

        	switch ($font) {
        		case '0':
					$qfont_src = JURI::base()."plugins/content/mefquran/data/font/uthmantn1_ver10.otf";//Othmani.ttf"//me_quran_volt_newmet.ttf";
					$qfont_title = "KFGQPC Uthman Taha Naskh";
        			break;
        		case '1':
					$qfont_src = JURI::base()."plugins/content/mefquran/data/font/uthmantn1b_ver10.otf";//Othmani.ttf"//me_quran_volt_newmet.ttf";
					$qfont_title = "KFGQPC Uthman Taha Naskh Bold";
        			break;
        		case '2':
					$qfont_src = JURI::base()."plugins/content/mefquran/data/font/uthmanichafs1_ver09.otf";
					$qfont_title = "KFGQPC Uthmanic Script HAFS";
        			break;
        	}

        	$doc = JFactory::getDocument();
			$style = '@font-face'
					. '{'
					. 'font-family: '.$qfont_title.';'
					. 'src: url('. $qfont_src .');'
					. '}'
					. 'span.mefquran {'
					. 'font-family:'.$qfont_title.';'
					. '}'
					. 'span.bismillah{'
					. 'margin: 3px;'
			        . '}'
					. 'span.ayat{'
					. 'margin: 3px;'
					. '}'
					. 'span.ayatnum{'
					. 'margin: 3px;'
					. '}'
					. 'span.qseperator{'
					. 'font-size: 20px;'
					. 'margin: 3px;'
					. '}';

			$doc->addStyleDeclaration( $style );

        	$lang = JFactory::getLanguage();
        	$lang->load("plg_content_mefquran", JPATH_ADMINISTRATOR);

        	$Qxml = new MefQuranHelper($this->params);

        	$mefhelper = new MefFunctionHelper();

		  if ( preg_match_all("#{mefquran}(.*?){/mefquran}#s", $article->introtext, $snipsets, PREG_PATTERN_ORDER) > 0 || preg_match_all("#{mefquran}(.*?){/mefquran}#s", $article->text, $matches, PREG_PATTERN_ORDER) > 0 ) { 

			  		$j=0;
			  		foreach ($snipsets[1] as $snipset) {
			  			$prgstr = $snipsets[0][$j];

				  		$mefhelper->setParams($snipset);
				  		$QuranOutput = $Qxml->getQuran($mefhelper->getFParams(), $mefhelper->getFCounter());

						if(isset($article->introtext)){
							$article->introtext = str_replace( $prgstr, $QuranOutput , $article->introtext );
						}
						if(isset($article->introtext)){

							$article->text = str_replace( $prgstr, $QuranOutput , $article->text );
						}
						$j++;

		  			}


			}
                return '';

        }
   			

}